Package: groovy.util

## [Java] Class Expando

- groovy.util.Expando

- Represents a dynamically expandable bean.

  Authors:
    James Strachan
    Hein Meling
    Pilho Kim

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `property`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Expando ()`
    `Expando (Map expandoProperties)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Map` | `createMap()` Factory method to create a new Map used to store the expando properties map
    `` | `boolean` | `equals(Object obj)` This allows equals to be overridden by a closure field method attached to the expando object.
    `` | `List` | `getMetaPropertyValues()`
    `` | `Map` | `getProperties()` @return the dynamically expanded properties
    `` | `Object` | `getProperty(String property)`
    `` | `int` | `hashCode()` This allows hashCode to be overridden by a closure field method attached to the expando object.
    `` | `Object` | `invokeMethod(String name, Object args)`
    `` | `void` | `setProperty(String property, Object newValue)`
    `` | `String` | `toString()` This allows toString to be overridden by a closure field method attached to the expando object.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Object property

  - ### Constructor Detail

    - #### public Expando()

    - #### public Expando(Map expandoProperties)

  - ### Method Detail

    - #### protected Map createMap()

      Factory method to create a new Map used to store the expando properties map

      Returns:
        a newly created Map implementation

    - #### public boolean equals(Object obj)

      This allows equals to be overridden by a closure field method attached to the expando object.

      See Also:
        Object.equals

    - #### public List getMetaPropertyValues()

    - #### public Map getProperties()

      Returns:
        the dynamically expanded properties

    - #### public Object getProperty(String property)

    - #### public int hashCode()

      This allows hashCode to be overridden by a closure field method attached to the expando object.

      See Also:
        Object.hashCode

    - #### public Object invokeMethod(String name, Object args)

    - #### public void setProperty(String property, Object newValue)

    - #### public String toString()

      This allows toString to be overridden by a closure field method attached to the expando object.

      See Also:
        Object.toString